Subject: RE: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Drew Adams <[email-masked]>
Date: Sun, 13 Mar 2016 17:03:31 -0700 (PDT)

> > In the meantime, I suggest we anyway provide complete such
> > information on a help key.  This "solution" can remain,
> > regardless of whatother designs might be adopted to provide
> > some such info all of the time (instead of just on demand).
> 
> You mean displaying this information in the *Help* buffer
> like ‘?’ in query-replace does?

I mean provide it on some help key during Isearch.

It could be a new key, just for such state/mode status.
Or it could added to the mode help, `C-h m'.

Unless it were added to the top of the `C-h m' output,
I think probably a separate help key (and separate *Help*
content) would be better, so users can easily see all of
the state info without scrolling the help window etc.

It is important to provide a succinct summary in a few
lines, and then follow that by any additional detailed
info that might be helpful.

Such additional info could give details about the
behavior of the different modes, as well as info about
how to change among them.  Yes, some of that info might
repeat some of what is in the `C-h m' output, but that's
OK.

Another possibility might be to add this info to the
regular `C-h m' output, but have a new help key that
takes you directly to the part of that output that
shows the current modes and explains the possibile modes,
i.e., scrolls to that part.  That would have the advantage
of providing this info in the context of isearch help in
general.

You might have other ideas about this.  My point is
mainly that we should provide the info on demand, via
a help key, and we should do that now (for Emacs 25.1).
The form and details are less important.

> > Wrt this bug and the prompt, for now: Either drop any
> > indication of state in the prompt (which might confuse
> > people) or show only what we showed before (regexp vs
> > literal), ignoring indicating char folding, case folding,
> > and whitespace folding.
> 
> Right, let's keep the status quo for now, and display
> only regexp-function statuses in the prompt.

Thank you.

But I do think that we should also add the state/mode
info to a help key _now_.  That info is missing for users,
and we are now complicating the possible states by adding
char folding.

Adding such *Help* info should not be difficult.